function pendfric_interactive
% Interactively solve pendfric using ode23s and look at steady states
figure;
xlim([-10 10]);
ylim([-3 3]);
xlabel('x_1');
xlabel('x_2');
title('Left click to solve for point; Right click to finish');
go=1;
hold on;
while go==1
    [x0,y0,go]=ginput(1);
    [~,x]=ode23s(@pendfric, [0 50], [x0;y0]);
    plot(x(:,1), x(:,2), 'r');
end
plot(pi*(-3:3), zeros(1,7), 'b*');