function pts = rk_stab(s, linespec)
%RK_STAB Plots the region of stability for specified Runge-Kutta method
% using the specified linespec

pts = zeros(s*360,1);
for idx = 0:359
    e = exp(idx*1j);
    pts((idx*s+1):((idx+1)*s)) = roots([1./factorial(s:-1:1) 1-e]);
end
plot(pts, linespec);